igeo.gui

## Class ITextGraphicGL

- java.lang.Object
- - igeo.IGraphicObject
  - - igeo.gui.ITextGraphicGL

- All Implemented Interfaces:
    IGraphicI, ISubobject

      public class ITextGraphicGL
      extends IGraphicObject

  Base class of OpenGL graphic vertex data collection
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Font` | `defaultFont`
    `static int` | `defaultFontResolution`
    `java.awt.Font` | `font`
    `java.lang.String[]` | `lines`
    `com.jogamp.opengl.util.awt.TextRenderer` | `renderer`
    `static com.jogamp.opengl.util.awt.TextRenderer` | `sharedRenderer`
    `static boolean` | `shareRenderer`
    `IText` | `text`
    `float` | `textHeight`
    `float` | `textWidth`

    - ### Fields inherited from class igeo.IGraphicObject

      `color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITextGraphicGL(IText txt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec` | `corner(int i, int j)`
    `void` | `draw(IGraphics g)`
    `void` | `initText()`
    `boolean` | `isDrawable(IGraphicMode m)`
    `java.lang.String[]` | `lines()`
    `double` | `textHeight(java.lang.String[] lines)`
    `double` | `textWidth(java.lang.String[] lines)`
    `void` | `update()` updating graphic when geometry change.

    - ### Methods inherited from class igeo.IGraphicObject

      `getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, getWeight, hide, isVisible, parent, parent, setAttribute, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, setWeight, show, visible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFontResolution

          public static final int defaultFontResolution

      See Also:
        Constant Field Values

    - #### defaultFont

          public static final java.awt.Font defaultFont

    - #### shareRenderer

          public static boolean shareRenderer

    - #### sharedRenderer

          public static com.jogamp.opengl.util.awt.TextRenderer sharedRenderer

    - #### renderer

          public com.jogamp.opengl.util.awt.TextRenderer renderer

    - #### text

          public IText text

    - #### lines

          public java.lang.String[] lines

    - #### textWidth

          public float textWidth

    - #### textHeight

          public float textHeight

    - #### font

          public java.awt.Font font

  - ### Constructor Detail

    - #### ITextGraphicGL

          public ITextGraphicGL(IText txt)

  - ### Method Detail

    - #### isDrawable

          public boolean isDrawable(IGraphicMode m)

      Specified by:
        `isDrawable` in interface `IGraphicI`
      Specified by:
        `isDrawable` in class `IGraphicObject`

    - #### initText

          public void initText()

    - #### lines

          public java.lang.String[] lines()

    - #### textWidth

          public double textWidth(java.lang.String[] lines)

    - #### textHeight

          public double textHeight(java.lang.String[] lines)

    - #### draw

          public void draw(IGraphics g)

      Specified by:
        `draw` in interface `IGraphicI`
      Specified by:
        `draw` in class `IGraphicObject`

    - #### corner

          public IVec corner(int i,
                             int j)

      Parameters:
        `i` - 0 is left corner, 1 is right corner
        `j` - 0 is bottom corner, 1 is top corner

    - #### update

          public void update()

      Description copied from class: `IGraphicObject`
      updating graphic when geometry change. actual update happens when it's drawn.
      Overrides:
        `update` in class `IGraphicObject`